#include "guess.h"
int find_number(int MAX) {
    int l=1,d=MAX;
    int rez;
    while(l<=d){
        int s=l+d>>1;
        if(smaller(s)){
            d=s-1;
        }
        else{
            l=s+1;
            rez=s;
        }

    }
    return rez;
}

